
%% Motivation:
% In order to calculate standard deviation of weights in a way which is independent of
% the order of which I avergae over time, weights, simulations, amd
% configurations, I will calculate std of everything at once. This
% requires that I use the data from simulations of the best 16 which saved
% individual weights over time

%% Set directory and load all types of STDP configurations. 1 = cSTDP. 0 = rSTDP.
% alltypes is vectorized such that each row corresponds to a different
% configuration. elements of each row indicate STDP type between two layers
% of the model:
% [L4->L4, L2/3->L4, L5/6->L4, L4->L2/3, L2/3->L2/3, L5/6->L2/3, L4->L5/6, L2/3->L5/6, L5/6->L5/6]
addpath(genpath('..'))
best16_alltypes_vec = get_best16;
%% Load average weights from the simulations
best16_simnum_vec = (1:5);
best16_all_weights = zeros(16,5,99,99,501);
for f1 = 1:size(best16_alltypes_vec,1)
    for f2 = 1:length(best16_simnum_vec)
        load([num2str(best16_alltypes_vec(f1,:),'%1d'),'_sim',num2str(best16_simnum_vec(f2)),'.mat']);
        best16_all_weights(f1,f2,:,:,:) = weights(:,:,5500:6000);
        clearvars -except f1 f2 best16_alltypes_vec best16_simnum_vec best16_all_weights
    end
end; clear f1 f2
%% Caluclate avg and std of weights for each best 16 configuration
best16_weights_time_avg = squeeze(mean(best16_all_weights,5));
best16_weights_avg = zeros(16,3,3);
best16_weights_std = zeros(16,3,3);
layer = [1:33;34:66;67:99];
for i = 1:16
    for q1 = 1:3
        for q2 = 1:3
            temp = best16_weights_time_avg(i,:,layer(q1,:),layer(q2,:)); temp=temp(:);
            best16_weights_avg(i,q1,q2) = mean(temp);
            best16_weights_std(i,q1,q2) = std(temp);
        end
    end
end; clear i q1 q2
%% Calculate avg and std of success for each best 16 configuration
best16_success_avg = zeros(16,1);
best16_success_std = zeros(16,1);
best16_weights_temp = zeros(16,5,3,3);
best16_success_all = zeros(16,5);
layer = [1:33;34:66;67:99];
for i = 1:16
    for j = 1:5
        for q1 = 1:3
            for q2 = 1:3
                temp = best16_weights_time_avg(i,j,layer(q1,:),layer(q2,:)); temp=temp(:);
                best16_weights_temp(i,j,q1,q2) = mean(temp);
            end
        end
        best16_success_all(i,j) = success(squeeze(best16_weights_temp(i,j,:,:)));
    end
    best16_success_avg(i) = mean(best16_success_all(i,:));
    best16_success_std(i) = std(best16_success_all(i,:));
end; clear i j q1 q2

%% Figure 3c: Caluclate avg weight for best 16 class
best16_avg = zeros(3,3);
best16_std = zeros(3,3);
for q1 = 1:3
    for q2 = 1:3
        temp = best16_weights_time_avg(:,:,layer(q1,:),layer(q2,:)); temp=temp(:);
        best16_avg(q1,q2) = mean(temp);
        best16_std(q1,q2) = std(temp);
    end
end; clear q1 q2
%%
















