addpath(genpath('..'));

B=zeros(5,2);
load('Bi_and_Poo_curve_all.mat')
B(1,1)=balance; B(1,2)=2*balance_std; clearvars -except B
load('Feldman_curve_all.mat')
B(2,1)=balance; B(2,2)=2*balance_std; clearvars -except B
load('Froemke_curve_distal_all.mat')
B(3,1)=balance; B(3,2)=2*balance_std; clearvars -except B
load('Froemke_curve_proximal_all.mat')
B(4,1)=balance; B(4,2)=2*balance_std; clearvars -except B
load('Zhang_curve_all.mat')
B(5,1)=balance; B(5,2)=2*balance_std; clearvars -except B

%%

[m,ind]=sort(B(:,1));
var = (B(ind,2)./2).^2;

% geometric distribution
p = 1./m;
geovar = (1-p)./(p.^2);

% exponential distribution
expvar = m.^2;

% poisson distribution
poivar = m;

% gamma distribution
alpha = mean((m.^2)./(var));
beta = m./alpha;
gamvar = alpha.*(beta./2);

% log-normal dist
lnvar = m.^2;
c = mean(lnvar./var);
lnvar = lnvar./c;

close all
figure()
subplot(2,1,1)
errorbar([1,2,3,4,5],B(ind,1),B(ind,2),'ko','LineWidth',1.5)
xlim([0 6])
hold on
line([0 6],[1 1])
hold off
xlabel('experiment')
ylabel('An taun / Ap taup')
subplot(2,1,2)
list=jet(6);
LW = 2;
plot(m,var,'col',list(1,:),'LineWidth',LW)
hold on
plot(m,geovar./4,'col',list(2,:),'LineWidth',LW)
% plot(m,expvar,'col',list(3,:),'LineWidth',LW)
plot(m,lnvar,'col',list(4,:),'LineWidth',LW)
plot(m,poivar,'col',list(5,:),'LineWidth',LW)
plot(m,gamvar,'col',list(6,:),'LineWidth',LW)
xlabel('mean')
ylabel('variance')
% legend('data','geometric','exponential','lognormal','poisson','gamma')
legend('data','geometric/4','lognormal','poisson','gamma')
% legend('data','gamma')

%%

[f,gof,output] = fit(m,var,'poly3');
figure()
plot(f,m,var);

%%

figure()
plot(m,var,'col',list(1,:),'LineWidth',LW)
hold on
plot(m,geovar./4,'col',list(2,:),'LineWidth',LW)
xlabel('mean')
ylabel('variance')
legend('data','geometric','exponential','lognormal','poisson','gamma')

%% Figre S6

close all

color = [51,138,202]./255;

figure()
set(gcf,'Position',[1977 210 1500 800]);
errorbar([1,2,3,4,5],B(ind,1),B(ind,2),'ko','LineWidth',2,'MarkerSize',10)
xlim([0 6])
hold on
line([0 6],[1 1],'LineWidth',4,'Color',color,'LineStyle','--')
hold off
xlabel('experiment','FontSize',40)
ylabel('An taun / Ap taup','FontSize',40)
set(gca,'FontSize',32)

