
% For each configuration, the standard deviation of each individual weight
% is calculated during the last 5 seconds of the simulation. In the end,

%% To run this on orchestra, a computer cluster, because it uses too large of a dataset to download locally
% 
% alltypes = get_alltypes;
% layer = [1:33;34:66;67:99];
% 
% avg_std = zeros(512,1);
% for ty = 1:512
%     all_weights_std_last_5 = zeros(5,99,99);
%     for j = 1:5
%         load([num2str(alltypes(ty,:),'%1d'),'_sim',num2str(j),'.mat']);
%         % standard deviation
%         temp = weights(:,:,5500:6000);
%         for q1=1:99
%             temp(q1,q1,:)=NaN;
%         end; clear q1
%         for q1 = 1:99
%             for q2 = 1:99
%                 all_weights_std_last_5(j,q1,q2) = nanstd(squeeze(temp(q1,q2,:)));
%             end
%         end
%     end
%     avg_std(ty) = nanmean(all_weights_std_last_5(:));
%     display(ty)
% end
% 
% clearvars -except convergence_path alltypes layer avg_std
% save('convergence_avg_std','-v7.3')

%% Fig S2d: Plots histogram of standard deviations
addpath(genpath('..'));
load('convergence_avg_std.mat');

blue_color = [52 139 203]./255;
red_color = [240 102 123]./255;
yellow_color = [250 176 86]./255;

best16 = get_best16;
best16_ind = zeros(16,1);
for i = 1:16
	best16_ind(i) = find(ismember(alltypes,best16(i,:),'rows')==1);
end

ex_type = [1,1,0,1,1,0,0,1,0];
ex_ind = find(ismember(alltypes,ex_type,'rows')==1); % find a way to label this one in the histogram

% Max Deviation
x=(0:max(avg_std(:))/50:max(avg_std(:))*1.05); % maybe change this a bit
figure()
set(gcf,'Position',[1451 89 1360 713])
h1 = hist(avg_std,x);
b1 = bar(x,h1);
set(b1,'FaceColor',blue_color,'EdgeColor',blue_color);
hold on
h2 = hist(avg_std(best16_ind),x);
b2 = bar(x,h2);
set(b2,'FaceColor',red_color,'EdgeColor',red_color);
h3 = hist(avg_std(ex_ind),x);
b3 = bar(x,h3);
set(b3,'FaceColor','k','EdgeColor','k');
%title(['L',num2str(q2),'-->L',num2str(q1)],'FontSize',20)
xlim([0 max(x)]);
%ylim([0 600])
set(gca,'FontSize',16)
xlabel('avgerage standard deviation','FontSize',20)
ylabel('# of configurations','FontSize',20)
%%


















