
addpath(genpath('..'));

ex_type = 110110010;
simnums = (11:15);
layer = [1:33;34:66;67:99];

avg_weight_last_5 = zeros(3,3);

% calculating the average weights
all_weights_time_avg = zeros(5,99,99);
all_weights_std_last_5 = zeros(5,99,99);
for j = 1:5
    load([num2str(ex_type,'%1d'),'_sim',num2str(simnums(j)),'.mat']);
    temp = squeeze(mean(weights(:,:,5500:6000),3));
    for q1=1:99
        temp(q1,q1)=NaN;
    end
    all_weights_time_avg(j,:,:) = temp; clear temp q1
    % standard deviation
    temp = weights(:,:,5500:6000);
    for q1=1:99
        temp(q1,q1,:)=NaN;
    end; clear q1
    for q1 = 1:99
        for q2 = 1:99
            all_weights_std_last_5(j,q1,q2) = nanstd(squeeze(temp(q1,q2,:)));
        end
    end
end
for q1=1:3
    for q2=1:3
        temp = all_weights_time_avg(:,layer(q1,:),layer(q2,:));
        avg_weight_last_5(q1,q2) = nanmean(temp(:));
    end
end
clearvars -except home_path ex_type simnums layer avg_weight_last_5 all_weights_time_avg all_weights_std_last_5

max_dist_from_layer_avg_last_5 = zeros(5,99,99);
max_dist_from_individual_avg_last_5 = zeros(5,99,99);
for j = 1:5
    load([num2str(ex_type,'%1d'),'_sim',num2str(simnums(j)),'.mat']);
    for q1 = 1:99
        for q2 = 1:99
            max_dist_from_individual_avg_last_5(j,q1,q2) = max(abs(weights(q1,q2,5500:6000)-all_weights_time_avg(j,q1,q2)));
            [x1,y1] = find(layer == q1); [x2,y2] = find(layer == q2); 
            max_dist_from_layer_avg_last_5(j,q1,q2) = max(abs(weights(q1,q2,5500:6000)-all_weights_time_avg(j,x1,x2)));
        end
    end
end
clearvars -except  home_path ex_type simnums layer avg_weight_last_5 all_weights_time_avg all_weights_std_last_5 max_dist_from_layer_avg_last_5 max_dist_from_individual_avg_last_5

%% Fig S2a: Plot randon weights
blue_color = [52 139 203]./255;
close all
fig = figure(1);
set(gcf,'Position',[-141 1 1582 804])
load([num2str(ex_type,'%1d'),'_sim',num2str(simnums(1)),'.mat']);
time = (1:6000)./100;
x_points = randi(33,6,6); y_points = randi(33,6,6);
x_points = x_points + 33.*repmat([0,0,1,1,2,2],6,1);
y_points = y_points + 33.*repmat([0,0,1,1,2,2],6,1); y_points = y_points';
for i = 1:36
    subplot(6,6,i)
    x = x_points(i); y = y_points(i);
    plot(time,squeeze(weights(x,y,:)),'col',blue_color)
    if i > 30
        xlabel('time (sec)','FontSize',20)
    end
    xlim([0 60])
    set(gca,'FontSize',18)
    set(gca,'XTick',[0 20 40 60])
    set(gca,'YTick',[0 0.5 1])
    ylim([0 1])
    [q1,k1] = find(layer == x); [q2,k2] = find(layer == y); 
    title(['L',num2str(q2),'-->L',num2str(q1)],'FontSize',20)
    hold on
end
%% Fig S2c: Plots histogram of standard deviations
blue_color = [52 139 203]./255;
red_color = [240 102 123]./255;
% Max Deviation
x=(0:0.003:max(all_weights_std_last_5(:))*1.05);
figure()
set(gcf,'Position',[1451 89 1360 713])
count=0;
for q1=1:3
    for q2=1:3
        count=count+1;
        subplot(3,3,count)
        temp = all_weights_std_last_5(:,layer(q1,:),layer(q2,:));
        h1 = hist(temp(:),x);
        b1 = bar(x,h1);
        set(b1,'FaceColor',blue_color,'EdgeColor',blue_color);
        title(['L',num2str(q2),'-->L',num2str(q1)],'FontSize',20)
        xlim([0 max(x)]);
        ylim([0 600])
        set(gca,'FontSize',16)
        xlabel('standard deviation','FontSize',20)
        ylabel('# of weights','FontSize',20)
    end
end
%%



