function [alltypes, modulation, simnum]= create_modulation_parameters

alltypes = zeros(11*8+8,9);

config1_mods = zeros(5*8*2,9); % the *2 comes from the L2/3 to L5/6 connections which in the best 16 is able to either cTSDP or rSTDP
config1 = get_best16;
mods = [2, 3, 4, 6, 7]; % connections to be modulated
k = 1;
for i = 1:size(config1,1)
    for j = 1:length(mods)
        temp = config1(i,:);
        temp(mods(j))=2;
        config1_mods(k,:) = temp;
        k = k+1;
    end
end

config2_mods = zeros(8,9); % this is the configuration with modulates the L2/3 to L5/6 connection
k = 1;
for q1=1:2 % within layer 4
    for q2=1:1
        for q3=1:1
            for q4=1:1
                for q5=1:2 % within layer 2/3
                    for q6=1:1
                        for q7=1:1
                            for q8=1:1
                                for q9=1:2 % within layer 5/6
                                    config2_mods(k,1)=q1-1;
                                    config2_mods(k,2)=1;
                                    config2_mods(k,3)=0;
                                    config2_mods(k,4)=1;
                                    config2_mods(k,5)=q5-1;
                                    config2_mods(k,6)=0;
                                    config2_mods(k,7)=0;
                                    config2_mods(k,8)=2;
                                    config2_mods(k,9)=q9-1;
                                    k=k+1;
                                end
                            end
                        end
                    end
                end
            end
        end
    end
end

config3_mods = zeros(8,9); % this is the configuration with modulates the L2/3 to L5/6 connection
k = 1;
for q1=1:2 % within layer 4
    for q2=1:1
        for q3=1:1
            for q4=1:1
                for q5=1:2 % within layer 2/3
                    for q6=1:1
                        for q7=1:1
                            for q8=1:1
                                for q9=1:2 % within layer 5/6
                                    config3_mods(k,1)=q1-1;
                                    config3_mods(k,2)=2;
                                    config3_mods(k,3)=2;
                                    config3_mods(k,4)=2;
                                    config3_mods(k,5)=q5-1;
                                    config3_mods(k,6)=2;
                                    config3_mods(k,7)=2;
                                    config3_mods(k,8)=2;
                                    config3_mods(k,9)=q9-1;
                                    k=k+1;
                                end
                            end
                        end
                    end
                end
            end
        end
    end
end

alltypes(1:80,:) = config1_mods;
alltypes(81:88,:) = config2_mods;
alltypes(89:96,:) = config3_mods;

modulation = (0:0.1:1);
simnum = (1:5);

end