%% Figure 2: Good and Bad Example configurations
% good_ex is type 110110010
% bad_ex is type 101010111
addpath(genpath('..'))
% Load average weights from the simulations
example_configs = [1 1 0 1 1 0 0 1 0; 1 0 1 0 1 0 1 1 1];
simnum_vec = (11:15);
all_weights = zeros(2,5,99,99,501);
for f1 = 1:size(example_configs,1)
    for f2 = 1:length(simnum_vec)
        load([num2str(example_configs(f1,:),'%1d'),'_sim',num2str(simnum_vec(f2)),'.mat']);
        all_weights(f1,f2,:,:,:) = weights(:,:,5500:6000);
        clearvars -except f1 f2 example_configs simnum_vec all_weights
    end
end; clear f1 f2
%% Caluclate average weights and stds
all_weights_time_avg = squeeze(mean(all_weights,5));
weights_avg = zeros(2,3,3);
weights_std = zeros(2,3,3);
layer = [1:33;34:66;67:99];
for i = 1:2
    for q1 = 1:3
        for q2 = 1:3
            temp = all_weights_time_avg(i,:,layer(q1,:),layer(q2,:)); temp=temp(:);
            weights_avg(i,q1,q2) = mean(temp);
            weights_std(i,q1,q2) = std(temp);
        end
    end
end; clear i q1 q2
%% Plot weight histograms
x = (0:0.01:1);
for i = 1:size(example_configs,1)
    figure(i)
    set(gcf,'Position',[1977 210 1300 800])
    count=0;
    for j = 1:3
        for k = 1:3
            temp_hist = all_weights_time_avg(i,:,layer(j,:),layer(k,:));
            h = hist(temp_hist(:),x);
            h = h/sum(h);
            count=count+1;
            subplot(3,3,count)
            bar(x,h)
            title(['L',num2str(k),' --> L',num2str(j)],'FontSize',16)
            xlim([0 1]); ylim([0 0.2])
            xlabel('Weight','FontSize',14); ylabel('Normalized Histogram','FontSize',14)
            set(gca,'FontSize',16)
        end
    end
end
%%
