%% This will make robustness plots 
% 1. averages of last 5 seconds of simulations
% 2. averages a 3x3 weight matrix for each configurations
% 3. averages across simulations with the same STDP configuration type
% 4. calculates a success for each configuration
addpath(genpath('..'));
load('robustness_results')

%% Make plot for the best 16
% I want all plots to be on the same scale
EXC_cmin=min(min(EXC_best16_success)); EXC_cmax=max(max(EXC_best16_success));
Atau_cmin=min(min(Atau_best16_success)); Atau_cmax=max(max(Atau_best16_success));
delay_cmin=min(min(delay_best16_success)); delay_cmax=max(max(delay_best16_success));
cmin = min([EXC_cmin, Atau_cmin, delay_cmin]); cmax = max([EXC_cmax, Atau_cmax, delay_cmax]);
clear EXC_cmin Atau_cmin delay_cmin EXC_cmax Atau_cmax delay_cmax

% NOTE THAT PCOLOR DOES SOMETHING WEIRD IN SWAPPING THE AXIS
scrsz = get(0,'ScreenSize');
figure()
set(gcf,'Position',[1977 210 500 650]);
% EXC
y = EXC_all_e3_e1;
x = EXC_all_e2_e1;
subplot(3,1,1)
sanePColor(x,y,EXC_best16_success);
axis square
axis ij
set(gca,'YDir','normal')
set(gca,'FontSize',20)
caxis([cmin cmax])
h = colorbar;
ylabel(h, 'Success','FontSize',20)
colormap(parula)
xlabel('Exc 5/6 \ Exc 4','FontSize',20)
ylabel('Exc 2/3 \ Exc 4','FontSize',20)
% A tau
y = TAURAT;
x = ARAT;
subplot(3,1,2)
sanePColor(x,y,Atau_best16_success);
axis square
axis ij
set(gca,'YDir','normal')
set(gca,'FontSize',20)
caxis([cmin cmax])
h = colorbar;
ylabel(h, 'Success','FontSize',20)
colormap(parula)
ylabel('A- \ A+','FontSize',20)
xlabel('tau- \ tau+','FontSize',20)
% delays
y = delay_all_intra_delays/10; % divide by 10 because intra_delay is in units of timesteps and I want it in terms of ms
x = delay_all_inter_delays/10; % divide by 10 because inter_delay is in units of timesteps and I want it in terms of ms
subplot(3,1,3)
sanePColor(x,y,delay_best16_success);
axis square
axis ij
set(gca,'YDir','normal')
set(gca,'FontSize',20)
caxis([cmin cmax])
h = colorbar;
ylabel(h, 'Success','FontSize',20)
colormap(parula)
xlabel('Within layer delay (ms)','FontSize',20)
ylabel('Between layer delay (ms)','FontSize',20)


%%






