%% Success for all 512 configurations while changing the EXC variables

addpath(genpath('..'))

Types = get_alltypes;
exc_ratios = (0.47:0.08:0.87);
simnums = (1:5);

success_overall = zeros(size(Types,1),length(exc_ratios),length(simnums));
avg_success = zeros(size(Types,1),length(exc_ratios));
std_success = zeros(size(Types,1),length(exc_ratios));

for i = 1:size(Types,1)
    load(['success_analysis_output_',num2str(Types(i,:),'%1d'),'.mat']);
    success_overall(i,:,:) = success_all;
    avg_success(i,:) = squeeze(mean(success_all,2));
    for j = 1:length(exc_ratios)
        std_success(i,j) = std(success_all(j,:));
    end
end; clearvars -except Types exc_ratios simnums success_overall avg_success std_success

% sort success
avg_success_sorted = zeros(size(avg_success));
std_success_sorted = zeros(size(std_success));
Types_sorted = {};

for i = 1:size(avg_success,2)
    [ss, ord] = sort(avg_success(:,i));
    avg_success_sorted(:,i) = flip(ss); clear ss
    std_success_sorted(:,i) = std_success(flip(ord),i);
    Types_sorted{i} = Types(flip(ord),:); clear ord
end

%% Figure S4: b1 and b2
% Also Fig S4a
which_plots = [1,3,5];

for i = 1:length(which_plots)
    figure()
    set(gcf,'Position',[1977 210 700 800]);
    errorbar((1:512),avg_success_sorted(:,which_plots(i)),std_success_sorted(:,which_plots(i)))
    title(num2str(exc_ratios(which_plots(i))))
    xlim([1 512])
    ylim([0 1])
    xlabel('STDP configuration')
    ylabel('Success')
    set(gca,'FontSize',16)
end


